# Copyright 2022 PONIO TEAM. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

#! /usr/bin/env python

import sympy


def list_stringify_matrix(M: sympy.Matrix, printer=str) -> list[list[str]]:
    return [
        [printer(m_ij) for m_ij in M.row(i)]
        for i in range(M.shape[0])
    ]


def list_stringify_vector(v: sympy.Matrix, printer=str) -> list[str]:
    return [printer(v_i) for v_i in v]
